# encoding: utf-8

require_relative './test_helper'

VCR.configure do |c|
  c.cassette_library_dir = "#{File.dirname(__FILE__)}/fixtures-vcr"
  c.hook_into :webmock
end

class GeocoderTest < Test::Unit::TestCase
  def test_geocoder
    expected = [52.519171, 13.4060912]

    SimpleGeocoder.cache.clear
    
    VCR.use_cassette('geocoder', :record => :new_episodes) do
      assert_equal(expected, SimpleGeocoder.latlng("Berlin"))
    end

    # This is run outside the use_cassette block, because this request 
    # must be cached.
    assert_equal(expected, SimpleGeocoder.latlng("Berlin"))
  end

  def test_utf8
    VCR.use_cassette "geocoder", :record => :new_episodes do
      s = '10178 Berlin, Rosenthaler Straße 40/41'
      expected = [52.5240131, 13.4025359]
      assert_equal(expected, SimpleGeocoder.latlng(s))
    end
  end
end
